program expression_checker;

{$APPTYPE CONSOLE}
{$R+}

uses 
  testlib;

const
  maxn = 20;
  op: array[0..2] of char = ('-', '+', '*');

var
  i, j, n: integer;
  a, ops: array[0..maxn] of integer;
  user_string, et_string: string;

function calc: boolean;
var
  sptr1, sptr2, i, res: integer;
  stck1, stck2: array[0..maxn] of integer;
begin
  sptr1 := 0;
  sptr2 := 0;

  i := 1;
  while i <= n do
  begin
    inc(sptr1);
    stck1[sptr1] := a[i];
    while (i <= n-1) and (op[ops[i]] = '*') do
    begin
      stck1[sptr1] := stck1[sptr1] * a[i+1];
      inc(i);
    end;
    if i <= n-1 then
    begin
      inc(sptr2);
      stck2[sptr2] := ops[i];
    end;
    inc(i);
  end;

  res := stck1[1];
  for i := 1 to sptr2 do
  begin
    if op[stck2[i]] = '+' then inc(res, stck1[i+1]);
    if op[stck2[i]] = '-' then dec(res, stck1[i+1]);
  end;

  result := (res = 0);
end;

begin
  n := inf.readlongint();
  for i := 1 to n do a[i] := inf.readlongint();

  user_string := ouf.readstring();
  et_string := ans.readstring();

  if (et_string = 'No solution') then
  begin
    if (user_string <> 'No solution') then quit(_wa, 'Jury has found solution, but participant did not')
                                      else quit(_ok, 'Pass');   
  end;

  for i := 1 to n-1 do
  begin
    ops[i] := 3;
    for j := 0 to 2 do
      if op[j] = user_string[i] then ops[i] := j;
    if ops[i] = 3 then quit(_wa, 'Presentation error');
  end;

  if calc then quit(_ok, 'Pass')
          else quit(_wa, 'Wrong answer');
end.
